Subject: bug#17952: Compatability for eieio between 24.4 and 24.3

From: David Engster <[email-masked]>
Date: Sun, 06 Jul 2014 10:49:15 +0200

Matthew Fidler writes:
> The object-set-name-string function of eieio has changed to
> eieio-object-set-name-string, at one point my code (ergoemacs-mode) depended on
> that function, so I had to use a macro to pick the right version for different
> versions of emacs. 

The usual way for renaming a function in Emacs is to mark it as
deprecated and make it an alias for the new name, and after a few more
Emacs releases remove it altogether. So if you want to stay compatible
with older Emacsen, simply continue to use `object-set-name-string' for
the time being. You will get a warning on byte-compilation, but just
ignore it (or turn off the deprecation warning if it bothers you too
much).

-David